require( "scripts/style.lua" );

kButtonStart = 130;
kButtonSpace = 40;
MakeDialog
{
    Bitmap
    {
        name="yesnobackground",
		image="backgrounds/longdialog",
		x=kCenter,
		y=kCenter,
        
        Button
		{
			x=kCenter,
			y=kButtonStart + (kButtonSpace * 0),
			font = OptionFont,
			graphics = SolidButtonGraphics,
			name="careereditor",
			label="careereditor",
			type = kPush,
			xoffset = 1,
			yoffset = 1,
			command=
				function()
					SetLevelMode(0);
					SetCurrentRestaurant(0);
					SetCurrentLevel(0);
					SetCurrentGameMode(0);
					PopModal();
					SwapToModalSetName("scripts/leveleditor/leveleditor.lua");
				end
		},
		
		Button
		{
			x=kCenter,
			y=kButtonStart + (kButtonSpace * 1),
			font = OptionFont,
			graphics = SolidButtonGraphics,
			name="endlesseditor",
			label="endlesseditor",
			type = kPush,
			xoffset = 1,
			yoffset = 1,
			command=
				function()
					SetLevelMode(0);
					SetCurrentRestaurant(0);
					SetCurrentLevel(0);
					SetCurrentGameMode(1);
					PopModal();
					SwapToModalSetName("scripts/leveleditor/leveleditor.lua");
				end
		},
		
		Button
		{
			x=kCenter,
			y=kButtonStart + (kButtonSpace * 2),
			font = OptionFont,
			graphics = SolidButtonGraphics,
			name="bonuseditor",
			label="le_extraeditor",
			type = kPush,
			xoffset = 1,
			yoffset = 1,
			command=
				function()
					SetLevelMode(1);
					SetCurrentRestaurant(0);
					SetCurrentLevel(0);
					SetCurrentGameMode(0);
					SetDownloadLevelName("");
					name = DoModal("scripts/leveleditor/leveleditorname.lua");
					if (not(name == nil)) then
						SetDownloadLevelName("assets/config/levels/"..name..".xml");
						PopModal();
						SwapToModalSetName("scripts/leveleditor/leveleditor.lua");
					end
				end
		},
		
		Button
		{
			x=kCenter,
			y=kButtonStart + (kButtonSpace * 3),
			font = OptionFont,
			graphics = SolidButtonGraphics,
			name="downnloadeditor",
			label="le_downloadeditor",
			type = kPush,
			xoffset = 1,
			yoffset = 1,
			command=
				function()
					SetLevelMode(2);
					SetCurrentRestaurant(0);
					SetCurrentLevel(0);
					SetCurrentGameMode(0);
					SetDownloadLevelName("");
					name = DoModal("scripts/leveleditor/leveleditorname.lua");
					if (not(name == nil)) then
						SetDownloadLevelName(name..".xml");
						PopModal();
						SwapToModalSetName("scripts/leveleditor/leveleditor.lua");
					end
				end
		},
		
		
		
		Button
		{
			x=kCenter,
			y=kButtonStart + (kButtonSpace * 4),
			font = OptionFont,
			graphics = SolidButtonGraphics,
			name="customereditor",
			label="customereditor",
			type = kPush,
			xoffset = 1,
			yoffset = 1,
			command=
				function()
					SetLevelMode(0);
					SetCurrentRestaurant(0);
					SetCurrentLevel(0);
					SetCurrentGameMode(1);
					PopModal();
					SwapToModalSetName("scripts/leveleditor/customereditor.lua");
				end
		},
		
		Button
		{
			x=kCenter,
			y=kButtonStart + (kButtonSpace * 5),
			font = OptionFont,
			graphics = SolidButtonGraphics,
			name="back",
			label="back",
			type = kPush,
			xoffset = 1,
			yoffset = 1,
			command=
				function()
					PopModal();
				end
		},
    },

} -- MakeDialog
